cdac.medinfo.sdk.hl7282.baselibs

## Class FC

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.FC

- All Implemented Interfaces:
    IDataType

      public class FC
      extends CompositeDataType

  FC - Financial Class

  This data type specifies the financial class assigned to a person.

  Represents an HL7 FC data type. This data type has the following attributes:

  1. Financial Class Code (CWE)Required
  2. Effective Date (DTM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FC()` Default Constructor for FC
    `FC(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for FC class which takes two arguments and sets the value in the respective member variable.
    `FC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for FC class which takes five arguments and sets the value in the respective member variable.
    `FC(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for FC class which takes six arguments and sets the value in the respective member variable.
    `FC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for FC class which takes four arguments and sets the value in the respective member variable.
    `FC(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for FC class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `DTM` | `getEffectiveDate()` Returns Effective Date
    `CWE` | `getFinancialClassCode()` Returns Financial Class Code
    `void` | `setEffectiveDate(DTM objEffectiveDate)` Sets the EffectiveDate.
    `void` | `setFinancialClassCode(CWE objCWE)` Sets the FinancialClassCode.
    `void` | `setFinancialClassCode(java.lang.String strFinancialClassCode)` Sets the FinancialClassCode.
    `boolean` | `validate()` The Method validates the Input value,and if validated properly then returns true.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FC

          public FC()

      Default Constructor for FC

    - #### FC

          public FC(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for FC class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FC

          public FC(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for FC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FC

          public FC(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for FC class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FC

          public FC(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for FC class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### FC

          public FC(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for FC class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setFinancialClassCode

          public void setFinancialClassCode(java.lang.String strFinancialClassCode)

      Sets the FinancialClassCode.
      Parameters:
        `strFinancialClassCode` - Specifies the financial class assigned to a person.

    - #### setFinancialClassCode

          public void setFinancialClassCode(CWE objCWE)

      Sets the FinancialClassCode.
      Parameters:
        `objCWE` - Specifies the financial class assigned to a person.

    - #### setEffectiveDate

          public void setEffectiveDate(DTM objEffectiveDate)

      Sets the EffectiveDate.
      Parameters:
        `objEffectiveDate` - Specifies the effective date/time of the person's assignment to the financial class specified in the first component.

    - #### getFinancialClassCode

          public CWE getFinancialClassCode()

      Returns Financial Class Code
      Returns:
        CWE - data type.

    - #### getEffectiveDate

          public DTM getEffectiveDate()

      Returns Effective Date
      Returns:
        DTM - data type.

    - #### validate

          public boolean validate()
                           throws InvalidDataTypeException

      The Method validates the Input value,and if validated properly then returns true. Here the validation is based on the compulsory fields for the Datatype.
      Specified by:
        `validate` in interface `IDataType`
      Overrides:
        `validate` in class `CompositeDataType`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidDataTypeException` - - if Invalid values is entered or Mandatory field is missing.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.